UNAME(1)

NAME
uname - get system name

SYNOPSIS
uname [-amnprsv]

uname [-S system_name]

DESCRIPTION
The uname command prints the name of the system implementation, or, depending on its options, one of the following:

-a  All available information.

-m  The name of the hardware type.

-n  The node name of this computer.

-p  Processor type.

-r  Release level of the system implementation.

-s  Name of the system implementation.

-v  Version level of the system implementation.

If -S system_name is specified, the node name is changed to system_name. This requires appropriate privilege.

ENVIRONMENT VARIABLES

SYSV3
    If set to the empty string, the output of -s is the same as that of -n, and the output of -r, -v, and -m is set to the fixed values `3.2', `2', and `i386', respectively. Otherwise, it is interpreted as the six fields

    os,sysname,nodename,release,version,machine

    where os is ignored, and the other fields specify the output for -s, -n, -r, -v, and -m. If fewer than six fields are given, remaining parts of the output are not changed. This variable also causes the output of -p not to be printed with -a.

SEE ALSO
uname(2), sethostname(2)